
Foreman - Bug #27719

Adding a 2nd disk type of storage_pod/datastore_cluster fails to create vm

08/27/2019 08:47 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Compute resources - VMware   

Target version: 1.23.1   

Difficulty: easy Fixed in Releases: 1.24.0

Triaged: Yes Found in Releases: 1.23.0

Bugzilla link: 1746175 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7213,

https://github.com/theforeman/foreman/p

ull/7004

  

Description

Error:

Failed to create a compute test (VMware) instance tammy-arnzen.toledo.satellite.lab.eng.rdu2.redhat.com: wrong number of

arguments (given 2, expected 1)

Traceback:

```ruby

2019-08-27T16:40:18 [W|app|09a39f98] Failed to create a compute test (VMware) instance

tammy-arnzen.toledo.satellite.lab.eng.rdu2.redhat.com: wrong number of arguments (given 2, expected 1)

ArgumentError: wrong number of arguments (given 2, expected 1)

/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/requests/compute/create_vm.rb:75:in

`group_disks_by_storage_pod'

/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/requests/compute/create_vm.rb:55:in

`create_vm_on_storage_pod'

/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/requests/compute/create_vm.rb:36:in `create_vm'

/opt/theforeman/tfm/root/usr/share/gems/gems/fog-vsphere-3.2.0/lib/fog/vsphere/models/compute/server.rb:302:in `save'

/usr/share/foreman/app/models/compute_resources/foreman/model/vmware.rb:484:in `create_vm'

/usr/share/foreman/app/models/concerns/orchestration/compute.rb:91:in `setCompute'

```

Associated revisions

Revision 6c6e15da - 09/03/2019 08:20 AM - Ondřej Ezr

Fixes #27719 - bumb fog-vsphere

Revision 8a6f9023 - 11/27/2019 04:26 PM - Ewoud Kohl van Wijngaarden

Refs #27719 - Specify the fog-vsphere dep clearer

Our gem to RPM dependency converter is not that smart and has a too

verbose output. Before this change:

Requires: %{?scl_prefix}rubygem(fog-vsphere) >= 3.2

Requires: %{?scl_prefix}rubygem(fog-vsphere) < 4.0

Requires: %{?scl_prefix}rubygem(fog-vsphere) >= 3.2.1

After:

Requires: %{?scl_prefix}rubygem(fog-vsphere) >= 3.2.1

Requires: %{?scl_prefix}rubygem(fog-vsphere) < 4.0
History

#1 - 08/27/2019 08:48 PM - Chris Roberts

Broke in Katello 3.13/Foreman 1.23 as well

#2 - 08/28/2019 01:15 PM - Chris Roberts

- Status changed from Ready For Testing to Resolved

- Target version changed from 1.24.0 to 1.23.1

- Triaged changed from No to Yes

- Bugzilla link set to 1746175

#3 - 08/29/2019 05:22 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7004 added

#4 - 08/29/2019 05:23 AM - Ondřej Ezr

- Status changed from Resolved to Ready For Testing

- Pull request deleted (https://github.com/fog/fog-vsphere/pull/234)

I've released new version. Otherwise we wouldn't have fixed the upstream.

#5 - 08/29/2019 08:11 AM - Tomer Brisker

- Found in Releases 1.23.0 added

- Found in Releases deleted (1.24.0)

#6 - 09/03/2019 08:20 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#7 - 09/03/2019 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset 6c6e15dafb71a1afb67eca4511a1541fda7b9378.

#8 - 11/27/2019 03:07 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7213 added
